API Documentation
API Endpoints/Invoices

Get payments and charges for invoice by reference

Retrieves detailed payment and charge information for the specified invoice. The response includes all payments applied to the invoice and any charges/fees added to it.

Payments originate from two sources:

  • Transactions (bank transfers, etc.): Identified when booking.transaction is set
  • Other vouchers (credit notes): Identified when booking.transaction is null and booking.voucher is set

Charges include:

  • Dunning fees added during the collection process
  • Writeoffs for slight underpayments or adjustments
  • Other fees or adjustments applied to the voucher balance

Use this endpoint to get a complete overview of the payment status and all financial adjustments for an invoice.

GET
/invoices/{invoiceReference}/payments
AuthorizationBasic <token>

Basic authentication is a simple authentication scheme built into the HTTP protocol. To use it, send your HTTP requests with an Authorization header that contains the word Basic followed by a space and a base64-encoded string username:password.Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

In: header

Path Parameters

invoiceReferencestring

Your invoiceReference

Query Parameters

limit?integer

Limit number of returned items, 0 means no limit

offset?integer
sort?string
search?object

Empty Object

Response Body

curl -X GET "https://staging1.abillify.dev/api/invoices/string/payments?limit=100&offset=10&sort=created&search=%5Bobject+Object%5D"
fetch("https://staging1.abillify.dev/api/invoices/string/payments?limit=100&offset=10&sort=created&search=%5Bobject+Object%5D")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://staging1.abillify.dev/api/invoices/string/payments?limit=100&offset=10&sort=created&search=%5Bobject+Object%5D"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://staging1.abillify.dev/api/invoices/string/payments?limit=100&offset=10&sort=created&search=%5Bobject+Object%5D"

response = requests.request("GET", url)

print(response.text)
[
  {
    "charges": [
      {
        "account": "4720",
        "costcenter": "string",
        "created": "2025-06-10T15:58:09.208Z",
        "currency": "EUR",
        "groupingflag": "string",
        "id": "26",
        "kind": "writeoff",
        "label": "Writeoff",
        "net": "-10.0000",
        "reference": "_26",
        "taxaccount": "3806",
        "taxrate": 0.19,
        "valuedate": "2025-03-19"
      }
    ],
    "due": "2025-03-26",
    "dunninglevel": 0,
    "dunningstate": "string",
    "id": "143930",
    "issued": "2025-03-19",
    "kind": "invoice",
    "paymentkind": "PP",
    "payments": [
      {
        "amount": "10.00",
        "booking": {
          "account": "4400",
          "annotation": "Credit 536 [asd1sad]",
          "balance": "10.00",
          "costcenter": "string",
          "groupingflag": "string",
          "is_tax": false,
          "reference": "_680792",
          "taxrate": 0.19,
          "transaction": "string",
          "valuedate": "2025-10-08",
          "voucher": "144014"
        },
        "created": "2025-10-08T07:47:31.009Z",
        "currency": "EUR",
        "id": "210872",
        "reference": "T-C-A-NP-680792"
      }
    ],
    "reference": "474",
    "taxkind": "string"
  }
]
{
  "code": 400,
  "details": [
    {
      "error": "Value for field 'debtor' is of wrong type, expected bigint.",
      "fields": [
        "debtor"
      ],
      "hint": "Value must be a number or a string containing only a number."
    }
  ],
  "message": "InvalidValue, see error details",
  "name": "ClientError",
  "type": "ERR_INVALID_VALUE"
}
{
  "code": 400,
  "details": [
    {
      "error": "Value for field 'debtor' is of wrong type, expected bigint.",
      "fields": [
        "debtor"
      ],
      "hint": "Value must be a number or a string containing only a number."
    }
  ],
  "message": "InvalidValue, see error details",
  "name": "ClientError",
  "type": "ERR_INVALID_VALUE"
}